From: Brian on
Even better yet. You may be able to google a working model of a toy
that was around when i was young ( may still be, not sure ). It was called
a spyrograph (sp?). The correct model of it would already have all the
constraints necessary to create the correct motion type.

"Brian" <don'tspam(a)me> wrote in message
news:429346b2$1_5(a)newsfeed.slurp.net...
> I don't believe there is a way to draw this in SW with 8 place
> mathematical accuracy. But here is something that "may work":
>
> -Two simple cylinders cooresponding to the minor and major diameters
> placed into an assembly with gear mates between the two and other
> constraints that only allow appropriate motion
> -a point on the perimeter of the smaller which will allow you to extract
> its location
> -create an assembly sketch and convert the above points' location, remove
> the coincident constraint and make the point fixed.
> -rotate the larger cylinder
> -rinse and repeat
> -a spline created from the generated points should give a reasonable
> representation
>
> Creating a macro to auto-rotate the large cylinder, extract perimeter
> point data, and repeat at a given increment should allow for a reasonably
> high degree of accuracy
>
>
> --
> Brian Hokanson
> Starting Line Products
>
> "wurz" <mjs_cadman-ccsw(a)yahoo.co.uk> wrote in message
> news:1116944042.503042.314790(a)g49g2000cwa.googlegroups.com...
>>
>> Giorgis wrote:
>>> I need to draw an epicyclic curve on a sketch.
>>> Any ideas on how I can go about it ?
>>>
>>> Kind Thanks
>>>
>>> Giorgis
>>
>> Seems like my Tech Drawing classes at school weren't a waste after all
>> ;-)
>>
>> An epicyclic curve is the locus of a point on the perimeter of a small
>> circle rolling (without slipping) around a larger circle. I'm not sure
>> that there is a single mathematical expression for it - but it's one of
>> those things that's easier to draw with a pair of compasses and a rule
>> than on CAD.....
>>
>> I think that to draw it in SW, you would have to think more like a
>> draughtsman and 'construct' the circles and lines, then tie together
>> key quantities using equations and linked values.
>>
>> Might have a go at this one when I get a minute....
>>
>> Martin
>>
>
>


From: matt on
In article <5eHke.2199$oT1.794(a)newsread1.news.pas.earthlink.net>,
jeff4136(a)mindspring.com says...
> > I need to draw an epicyclic curve on a sketch.
> > Any ideas on how I can go about it ?
>
> Maybe this will help in the effort...
>
> http://mathworld.wolfram.com/Epicycloid.html

With that you've got some equations. I have a macro on my website that
will draw a spline for an equation. Theoretically it should be able to
accept equations with periodic terms, but I've never tried one as
complex as the ones on the above site.

If you want to try my macro, it's at
http://mysite.verizon.net/mjlombard/ , follow the link for Macro
Library. It's called "eqcurve".

As I remember, polar coordinates are the best way to deal with cardioid
shapes.

Good luck!

Matt
From: TOP on
Try this. Just set a and m. a is the OD of the circle around which you
want an epicycloid and m is the number of cusps. Start a part. This
will draw a sketch on the Front plane.

'
******************************************************************************
' C:\DOCUME~1\kellnerp\LOCALS~1\Temp\swx2044\Macro1.swb - macro
recorded on 05/24/05 by kellnerp
'
******************************************************************************
Const pi = 3.141592654

Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object
Dim skPts() As Double

Sub EpiCycloid(ByVal N As Long, ByVal a As Double, ByVal b As Double)

ReDim skPts(N + 1, 3) As Double
Dim i As Long
Dim x, y, z As Double
Dim phi, dphi As Double

dphi = 2 * pi / N

For i = 0 To N - 1

x = (a + b) * Cos(i * dphi) - b * Cos((a + b) / b * i * dphi)
y = (a + b) * Sin(i * dphi) - b * Sin((a + b) / b * i * dphi)
z = 0#

skPts(i, 0) = x
skPts(i, 1) = y
skPts(i, 2) = z
Next i

x = (a + b) * Cos(0 * dphi) - b * Cos((a + b) / b * 0 * dphi)
y = (a + b) * Sin(0 * dphi) - b * Sin((a + b) / b * 0 * dphi)
z = 0#

skPts(N, 0) = x
skPts(N, 1) = y
skPts(N, 2) = z

End Sub

Sub main()

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID("Front Plane", "PLANE", 0, 0, 0,
False, 0, Nothing)

' a is the OD of the circle around which you want the epicycloid. m is
the number of cusps.

a = 20#
m = 6#

'Don't change anything below here.

b = a / m
N = 10 * m

Call EpiCycloid(N, a, b)
Part.InsertSketch2 True

Part.ClearSelection2 True

For i = N To 0 Step -1

Part.SketchSpline i, skPts(i, 0), skPts(i, 1), skPts(i, 2)

Next i

End Sub

From: Bob on
Isn't that the equation for a face of a gear tooth (less root and crown)? If
so, there maybe accurate equation based profiles around that could be
modified.
Bob


"Giorgis" <giorgist(a)hotmail.com> wrote in message
news:1116921235.326240.91240(a)g49g2000cwa.googlegroups.com...
>I need to draw an epicyclic curve on a sketch.
> Any ideas on how I can go about it ?
>
> Kind Thanks
>
> Giorgis
>


From: Bill Chernoff on
It would be nice if SW had a "locus" function, where a point could trace out
a line as it moved according to a set of rules, equations, parameters, etc.
Next up in complexity a generating function could carve away at an extrusion
according to rules- think gear-shaper cutter generating a gear tooth
profile.

Bill (big ideas for someone else to implement) Chernoff